Fix last commit to be compliant also with php 5.4